<template>
  <div>
    <b-container fluid>
      <b-row>
        <b-col xs="6">
          <h2>Transportistas</h2>
        </b-col>
        <b-col xs="6" class="d-flex justify-content-end">
          <b-button variant="primary" @click="newCarrier">Nuevo Transportista</b-button>
        </b-col>
      </b-row>
      <b-row>
        <PersonList
          :title="''"
          ref="person_list"
          :preset_filters="{ role: 4 }"
          @person-click="onRowClicked"
        />
      </b-row>
      <b-modal
        ref="person_modal"
        centered
        size="lg"
        title="Transportista"
        hide-footer
      >
        <PersonForm
          :preloadedValues="form"
          @person-saved="onPersonSaved"
          @cancelClick="$refs.person_modal.hide()"
        />
      </b-modal>
    </b-container>
  </div>
</template>

<script>
import PersonList from "@/components/PersonList";
import PersonForm from "@/components/PersonForm";

export default {
  name: "intermediate-view",
  components: {
    PersonList,
    PersonForm
  },
  data() {
    return {
      form: {
        role: 4
      }
    };
  },
  methods: {
    onRowClicked(data) {
      this.form = Object.assign({}, data);
      this.$refs.person_modal.show();
    },
    onPersonSaved() {
      this.$refs.person_modal.hide();
      this.$refs.person_list.refresh();
    },
    newCarrier() {
      this.form = { role: 4 };
      this.$refs.person_modal.show();
    }
  }
};
</script>
